Skip to main content
GET
/
api
/
v1
/
personalize
/
datasets
List user's datasets for the inline data-source picker
curl --request GET \
  --url https://api.example.com/api/v1/personalize/datasets \
  --header 'Authorization: Bearer <token>'
{
  "datasets": [
    {
      "dataset_id": "<string>",
      "created_at": "<string>",
      "name": "<string>",
      "source_type": "<string>",
      "row_count": 0,
      "archived_at": "<string>"
    }
  ],
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://bavlio.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
include_archived
boolean
default:false

Response

Successful Response

datasets
DatasetSummary · object[]
required
has_more
boolean
default:false